federicofortini
Contributor
Contributor

Vrealize Operation 7.0.1 - Register Orchestrator as a vCenter Server extension

Hi to all! I'm tryng to work with the new VRO 7.0.1 (build 3571217) and Vcenter Server release 5.5 U2.

As a first step i've configured the autentication of VRO to use the SSO of the Vcenter as stated in the documentation:

Register Orchestrator as a vCenter Single Sign-On (Legacy) Solution

After that i've correctly configured the connection to Vcenter Server Instance

Configure the Connection to a vCenter Server Instance

As of now all went fine. No problems in configuring things. I can see the Vcenter in the Inventory of VRO. I can even browse object and run Workflow on it.

The last step is to Register Orchestrator as a vCenter Server extension, by using the appropriate Workflow. The workflow runned snoothly, without errors. If i look in the ExtensionManager of Vcenter i can see the Extension registered.

https://<MY-VCENTER>/mob/?moid=ExtensionManager

If if browse the property of the extension i can see the address of the "vco-plugin.zip" that the Web Interface has to download. The URL is correct and i can download the zip from my browser.

By looking in the vsphere-client-virgo.log (web interface log file) i can see the following lines:

Downloading plugin package from https://<MY-VRO-URL>:8281/vco/vsphere-web-client/vco-plugin.zip (no proxy defined)

Done downloading plugin package from https://<MY-VRO-URL>:8281/vco/vsphere-web-client/vco-plugin.zip

Done expanding plugin package to C:\ProgramData\VMware\vSphere Web Client\vc-packages\vsphere-client-serenity\com.vmware.vco-7.0.1

Plugin version mismatch for com.vmware.vco between the plugin registration info (7.0.1)

Deploying plugin package 'com.vmware.vco:7.0.1'.

The dependency on the plugin package 'com.vmware.vsphere.client:6.0.0' from 'com.vmware.vco:7.0.1' could not be satisfied.

As far as i understand, the VRO 7.0.1 Vcenter Extension require Vsphere Web Interface 6.0?

If i look in the compatibility matrix from VMware Site i see this.

MATRIX.png

0 Kudos
3 Replies
dvatov
VMware Employee
VMware Employee

The web client plugin in vRO 7.0.1 needs web client 6.0. You can try to take vco-plugin.zip from older vRO version and put it in {vro home}/downloads/ replacing the original file. I have not tried this but there is a chance to work.

0 Kudos
federicofortini
Contributor
Contributor

Hi dvatov, i will give a try to Orchestrator 6 and 5 to see if i can find a compatible version.

Federico

0 Kudos
federicofortini
Contributor
Contributor

I've just realized that in the suject i've made a mistake an typed "Vrealize Operation" instead of "Vrealize Orchestrator"! Sorry about that!

Federico

0 Kudos